JPEGEXIFORIENT(1)

NAME
jpegexiforient - reads or writes the Exif Orientation Tag

SYNOPSIS
jpegexiforient [switches] jpegfile

DESCRIPTION
 This is a utility program to get and set the Exif Orientation Tag.
 It can be used together with jpegtran in scripts for automatic
 orientation correction of digital camera pictures.
 The Exif orientation value gives the orientation of the camera
 relative to the scene when the image was captured. The relation
 of the '0th row' and '0th column' to visual position is shown as
 below.
 Value | 0th Row | 0th Column
 ------+-------------+-----------
   1 | top | left side
   2 | top | rigth side
   3 | bottom | rigth side
   4 | bottom | left side
   5 | left side | top
   6 | right side | top
   7 | right side | bottom
   8 | left side | bottom
 For convenience, here is what the letter F would look like if it were
 tagged correctly and displayed by a program that ignores the orientation
 tag:
   1 2 3 4
 888888 888888 88 88
 88 88 88 88
 8888 8888 8888 8888
 88 88 88 88
 88 88 888888 888888
     5 6 7 8

 8888888888 88 88 8888888888
 88 88 88 88 88 88 88 88
 88 8888888888 8888888888 88

jpegexiforient output the Exif Orientation Tag in a JPEG Exif file. With the options -1 .. -8, it can also be used to set the tag.

  OPTIONS

--help
    display this help and exit

--version
    output version information and exit

-n  Do not output the trailing newline

-1 .. -8
    Set orientation value 1 .. 8

AUTHOR
 Guido Vollbeding <guido@jpegclub.org>

SEE ALSO
jpegtran(1), exifautotran(1)